# GimpUi.enum_icon_box_new

    @accepts(GType, unicode, Gtk.IconSize, GObject.Callback, gpointer, GLib.DestroyNotify, Gtk.Widget)
    @returns(Gtk.Widget)
    def enum_icon_box_new(enum_type, icon_prefix, icon_size, callback, callback_data, callback_data_destroy, first_button):
        # Python wrapper for gimp_enum_icon_box_new()

Creates a horizontal box of radio buttons with named icons. The icon name for each icon is created by appending the enum_value's nick to the given icon_prefix.

Since 2.10

enum_type

  the GLib.Type of an enum.

icon_prefix

  the prefix of the group of icon names to use.

icon_size

  the icon size for the icons

callback

  a callback to connect to the "toggled" signal of each Gtk.RadioButton that is created.

callback_data

  data to pass to the callback.

callback_data_destroy

  Destroy function for callback_data.

first_button

  Returns the first button in the created group.

Returns